package com.fjhx.victoriatourist.service.jd;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdSalesReturnsDto;
import com.fjhx.victoriatourist.entity.jd.dto.JdSalesReturnsSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdSalesReturns;
import com.fjhx.victoriatourist.entity.jd.vo.JdSalesReturnsVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 京东售后退货 服务类
 * </p>
 *
 * @author hj
 * @since 2023-12-12
 */
public interface JdSalesReturnsService extends BaseService<JdSalesReturns> {

    /**
     * 京东售后退货列表
     */
    List<JdSalesReturnsVo> getList(JdSalesReturnsSelectDto dto);

    /**
     * 京东售后退货分页
     */
    Page<JdSalesReturnsVo> getPage(JdSalesReturnsSelectDto dto);

    /**
     * 京东售后退货明细
     */
    JdSalesReturnsVo detail(Long id);

    /**
     * 京东售后退货新增
     */
    void add(JdSalesReturnsDto jdSalesReturnsDto);

    /**
     * 京东售后退货编辑
     */
    void edit(JdSalesReturnsDto jdSalesReturnsDto);

    /**
     * 京东售后退货删除
     */
    void delete(Long id);

}
